TypeNature (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.metamodel.domain
Enum TypeNature

    java.lang.Object
      java.lang.Enum<TypeNature>
          org.hibernate.metamodel.domain.TypeNature

All Implemented Interfaces:
  Serializable, Comparable<TypeNature>

    public enum TypeNature

extends Enum<TypeNature>

Describes the type of a type :/

Enum Constant Summary
`BASIC`
`COMPONENT`
`ENTITY`
`NON_ENTITY`
`SUPERCLASS`

Method Summary
`String` | `getName()`
`String` | `toString()`
`static TypeNature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TypeNature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BASIC

    public static final TypeNature BASIC

### COMPONENT

    public static final TypeNature COMPONENT

### ENTITY

    public static final TypeNature ENTITY

### SUPERCLASS

    public static final TypeNature SUPERCLASS

### NON_ENTITY

    public static final TypeNature NON_ENTITY

Method Detail

### values

    public static TypeNature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TypeNature c : TypeNature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TypeNature valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<TypeNature>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.